function showCalendar() {
	var calDateMopen = "*'''";
	var calDateMclose = "''' ";
	var tarea = document.getElementById('text');
	function onSelect(calendar, date) {
		var tareaVal = tarea.value;
		if (tarea.setSelectionRange > '') { // Mozilla, Firefox
			var start = tarea.selectionStart;
			// to insert the date at the beginning of the textarea if the focus is not in it, the drawback is that to insert the date at the end of the textarea you need to insert a blank line first
			if (start == tareaVal.length) { start = 0; }
			tarea.value = tareaVal.substring(0,start) + calDateMopen + date + calDateMclose + tareaVal.substring(start);
			tarea.focus();
			// To put the cursor one char before the end of the inserted text (1 before the new line char, adjust this to your needs !)
			tarea.selectionStart = tarea.selectionEnd = start + calDateMopen.length + date.length + calDateMclose.length;
		} else if (document.selection) { // IE
			var range = document.selection.createRange();
			var str = range.text; // Selected text
			tarea.focus();
			document.selection.createRange().text = calDateMopen + date + calDateMclose + str;
		}  else {
			tarea.value = calDateMopen + date + calDateMclose + tareaVal; 
		}
		if (calendar.dateClicked) {
			calendar.callCloseHandler();
		}
	}
	function onClose(calendar) {
		calendar.destroy();
	}
	var dateFormat = "%A %d %B";
	var calendar = new Calendar(1, null, onSelect, onClose);
	calendar.weekNumbers = false;
	calendar.showsTime = false;
	calendar.setDateFormat(dateFormat);
	calendar.setTtDateFormat(dateFormat);
	calendar.create();
	calendar.showAtElement(tarea, "Tr");
}